<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: install_functions.php
	# Updated: 10-07-2008 by Sham Shriwastav  
	# Status: open
	# Purpose: functions  used in  installation 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/

	################ --- Section For Defining Functions ----####################
	
	//-------this function accepts error array and generates error message 
	function generate_errmsg($error)
	{ 
		 if (is_array($error))
		  { 
		  
			 $err="Please fill up ".implode(", ", $error); 
			 
			 if (substr_count($err,",") > 1)
			 {  $pos=strrpos($err,",");
				$err=substr_replace($err," and ",$pos, 1);
			 }
		  
		  }
		   return $err;   
	}//end of function generate_errmsg($error)	
	

	//php fuction to split given sql queries in the form of string into an array
	//This function will separate out each individual query and will add it in array
	function splitSqlFile(&$ret, $sql, $release)
	{
	    // do not trim, see bug #1030644
	    //$sql          = trim($sql);
	    $sql          = rtrim($sql, "\n\r");
	    $sql_len      = strlen($sql);
	    $char         = '';
	    $string_start = '';
	    $in_string    = FALSE;
	    $nothing      = TRUE;
	    $time0        = time();
	
	    for ($i = 0; $i < $sql_len; ++$i) {
	        $char = $sql[$i];
	
	        // We are in a string, check for not escaped end of strings except for
	        // backquotes that can't be escaped
	        if ($in_string) {
	            for (;;) {
	                $i         = strpos($sql, $string_start, $i);
	                // No end of string found -> add the current substring to the
	                // returned array
	                if (!$i) {
	                    $ret[] = $sql;
	                    return TRUE;
	                }
	                // Backquotes or no backslashes before quotes: it's indeed the
	                // end of the string -> exit the loop
	                else if ($string_start == '`' || $sql[$i-1] != '\\') {
	                    $string_start      = '';
	                    $in_string         = FALSE;
	                    break;
	                }
	                // one or more Backslashes before the presumed end of string...
	                else {
	                    // ... first checks for escaped backslashes
	                    $j                     = 2;
	                    $escaped_backslash     = FALSE;
	                    while ($i-$j > 0 && $sql[$i-$j] == '\\') {
	                        $escaped_backslash = !$escaped_backslash;
	                        $j++;
	                    }
	                    // ... if escaped backslashes: it's really the end of the
	                    // string -> exit the loop
	                    if ($escaped_backslash) {
	                        $string_start  = '';
	                        $in_string     = FALSE;
	                        break;
	                    }
	                    // ... else loop
	                    else {
	                        $i++;
	                    }
	                } // end if...elseif...else
	            } // end for
	        } // end if (in string)
	       
	        // lets skip comments (/*, -- and #)
	        else if (($char == '-' && $sql_len > $i + 2 && $sql[$i + 1] == '-' && $sql[$i + 2] <= ' ') || $char == '#' || ($char == '/' && $sql_len > $i + 1 && $sql[$i + 1] == '*')) {
	            $i = strpos($sql, $char == '/' ? '*/' : "\n", $i);
	            // didn't we hit end of string?
	            if ($i === FALSE) {
	                break;
	            }
	            if ($char == '/') $i++;
	        }
	
	        // We are not in a string, first check for delimiter...
	        else if ($char == ';') {
	            // if delimiter found, add the parsed part to the returned array
	            $ret[]      = array('query' => substr($sql, 0, $i), 'empty' => $nothing);
	            $nothing    = TRUE;
	            $sql        = ltrim(substr($sql, min($i + 1, $sql_len)));
	            $sql_len    = strlen($sql);
	            if ($sql_len) {
	                $i      = -1;
	            } else {
	                // The submited statement(s) end(s) here
	                return TRUE;
	            }
	        } // end else if (is delimiter)
	
	        // ... then check for start of a string,...
	        else if (($char == '"') || ($char == '\'') || ($char == '`')) {
	            $in_string    = TRUE;
	            $nothing      = FALSE;
	            $string_start = $char;
	        } // end else if (is start of string)
	
	        elseif ($nothing) {
	            $nothing = FALSE;
	        }
	
	        // loic1: send a fake header each 30 sec. to bypass browser timeout
	        $time1     = time();
	        if ($time1 >= $time0 + 30) {
	            $time0 = $time1;
	            header('X-pmaPing: Pong');
	        } // end if
	    } // end for
	
	    // add any rest to the returned array
	    if (!empty($sql) && preg_match('@[^[:space:]]+@', $sql)) {
	        $ret[] = array('query' => $sql, 'empty' => $nothing);
	    }
	
	    return TRUE;
	    
	} // end of the 'splitSqlFile()' function	
	
	
	//function that will be called for installing Instant Manager Database
	function createDatabase($sql_file,$db_host,$db_user,$db_password,$db_name)
	{
	
		if($sql_file!="")
		{
			
				
				//Open given SQL file to read its contents
				$file_handle = @fopen($sql_file, "r");
				
				if ($file_handle) 
				{
									
					
					$sql_content=file_get_contents($sql_file);
					
					//Now split the sql file contents into each individual query and add it in $sql_arr
					$sql_arr=array();
					splitSqlFile($sql_arr, $sql_content,';');
					
					if(count($sql_arr) > 0)
					{

						$conn_res = mysql_connect($db_host,$db_user,$db_password);
						
						//check if database connection made successfully	
						if($conn_res)
						{
						
							//check if database already exists			
							if(mysql_select_db($db_name,$conn_res))
							{
									
								//Now execute each query available in an array
								foreach($sql_arr as $key=>$sql)
								{
									if(mysql_query($sql['query']))
									{
										
										continue;
									}
									else
									{
										return false;
									}
								}
		
								fclose($file_handle);
								return true;
														
							}
							else	//Db inputs are not valid
							{
									return false;
							}
							
						}
						else
						{
							return false;
						}
						

					}//if(count($sql_arr) > 0)					
					
					
				}//if ($file_handle)
				else
				{
					echo "<br>File can't be opened";
					return false;
				}
			
		}//if($sql_file!="")
		
		return false;
	
	}//end of function createDatabase($sql_file)
	
	//Function to check whether given file/Folder is writable or not
	function check_perms($path,$perm)
	{
		clearstatcache();
		$configmod = substr(sprintf('%o', fileperms($path)), -3);
		
		if($configmod == $perm)
		{
			return true;
		}
		else
		{
			return false;
		}
		
	}//function check_perms($path,$perm)  		

	################ ---End of - Section For Defining Functions ----####################
?>