<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name   : manage_prod_type.php
	# Updated: 17-01-09 Swati Sharma   
	# Status : open
	# Purpose: Manage Product types
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Manage Product Types";

##  to get search field
	$start			 = trim($_REQUEST['start']);
	$sort			 = trim($_REQUEST['sort']);
	$s_pr_id		 = trim($_REQUEST['s_pr_id']);
	$s_pr_type		 = trim($_REQUEST['s_pr_type']);
	$s_date_added	 = trim($_REQUEST['s_date_added']);
	$s_date_modified = trim($_REQUEST['s_date_modified']);
	$s_status		 = trim($_REQUEST['s_status']);
	$str_err		 = trim($_REQUEST["str_err"]);
	
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 
		## single delete
		$move_url = $_SERVER['PHP_SELF']."?start=$start".$str_params;
		if(isset($_GET['del_id']))
		{
		      
	      if(check_availibility("tbl_product",'prod_id',"prod_type_id='".$_GET['del_id']."'")) 
			{
			  
			  $str_err = ERR_PROD_TYPE_ID_DELETE;
			  echo get_err_div($str_err);	
			  
			} //if tere are products under this product type id
			else
			{
			 delete_from_db("tbl_product_type","prod_type_id='".$_GET['del_id']."'");
			 $str_err = MSG_PROD_TYPE_DELETE;
			 echo get_err_div($str_err);	
			
			}
			
		}//if if(isset($_GET['del_id']))
		
		
		##multiple delete
		    $del_flag = 0;
			if(isset($_POST['del_all']))
			{	
				for($i=0; $i <= count($_POST["chk"])-1; $i++)
				{
				 $delete_id = $_POST["chk"][$i];
				  if(check_availibility("tbl_product",'prod_id',"prod_type_id='".$delete_id."'")) 
			     {
				  $del_flag = 1;
				  
				 }
				else
				{
				  delete_from_db("tbl_product_type","prod_type_id='".$delete_id."'");	
				 
				}	
			   }//for 		
			//} //if(isset($_POST['del_all'])) 
				
				//if tere are products under this product type id
				if($del_flag == 1)
				{
				    $str_err = ERR_PROD_TYPE_ID_DELETE;
					echo get_err_div($str_err);
					
				}
				else
				{
				 $str_err = MSG_PROD_TYPE_DELETE;	
				 echo get_err_div($str_err);
			   
				}
				
				
			}
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_product_type" ;
		$str_fields_values = "status='".$_GET['status']."'";
		$str_filter = "prod_type_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
	} 

## code to params creation
	$str_params  = "&s_pr_id=".urlencode($s_pr_id);
	$str_params .= "&s_pr_type=".urlencode($s_pr_type);
	$str_params .= "&s_date_added=".urlencode($s_date_added);
	$str_params .= "&s_date_modified=".urlencode($s_date_modified);
	$str_params .= "&s_status=".urlencode($s_status);		
	$str_params .= "&sort=".$sort;

## code for select query condition Creation
		if($s_pr_id != "")
		{
			$arr_cond[] = " prod_type_id='$s_pr_id'";
		}
		if($s_pr_type != "")
		{
		    if(strlen($s_pr_type) > 1)
			{
			 $arr_cond[] = " prod_type_name like '%$s_pr_type%'";
			}
			else
			{
			 $arr_cond[] = " prod_type_name like '$s_pr_type%'";
			}
		}
		
		if($s_date_added != "")
		{
		    $from_date_added = strtotime($s_date_added." 00:00:00");
			$to_date_added   = strtotime($s_date_added." 23:59:59");
			$arr_cond[]		 = "date_added BETWEEN '".$from_date_added."' AND '".$to_date_added."' ";
		}
		
		if($s_date_modified != "")
		{
		    $from_date_mdfd  = strtotime($s_date_modified." 00:00:00");
			$to_date_mdfd    = strtotime($s_date_modified." 23:59:59");
			$arr_cond[]		 = "date_added BETWEEN '".$from_date_mdfd."' AND '".$to_date_mdfd."' ";
		}
			
		
		if($s_status != "")
		{
			$arr_cond[] = " status = '$s_status'";
		}
	     
		if (is_array($arr_cond))
		{
			$str_cond = implode(" and ", $arr_cond);
		}
		else
		{
     		$str_cond = "";
		}
	
## code for get sort condition filter		
		if($sort == "") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="date_added desc";
			$sort = "1";
		}
		elseif($sort == "1") 		$str_order= " date_added asc ";
		elseif($sort == "-1") 		$str_order= " date_added desc ";	
	    elseif($sort == "2") 		$str_order= " prod_type_name asc ";
		elseif($sort == "-2") 		$str_order= " prod_type_name desc ";	
        elseif($sort == "3") 		$str_order= " date_modified asc ";
		elseif($sort == "-3") 		$str_order= " date_modified desc ";
        elseif($sort == "4") 		$str_order= " status asc ";
		elseif($sort == "-4") 		$str_order= " status desc ";
    

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("tbl_product_type",'prod_type_id',$str_cond);
	
## get data by applying limit
	$str_tablename = "tbl_product_type";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
			{
				$start = 0;
			}
			$str_limits = $start.",".$RECORDS_PER_PAGE;	
			$num_rows   = get_total_rows($str_tablename,'prod_type_id',$str_cond);
			$res_data   = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}

##update priority
	if(isset($_POST['disp_priority']))
	{	
		$i=0;
		while($row = @mysql_fetch_assoc($res_data) )
		{
			$for_prod_type_id = $row["prod_type_id"];
			$priority = $_POST["txt_priority_".$row["prod_type_id"]];
			//echo "<BR>prod_priority='".$priority."'"."prod_id='".$for_prod_id."'";
			$up = update_into_db("tbl_product_type","prod_priority='".$priority."'","prod_type_id='".$for_prod_type_id."'");		 		
			$i++;
		}	
		
		//@mysql_data_seek($res_data,0);
		//echo ($i.count($cnt));	
		if($up)
				$str_err = MSG_PROD_TYPE_PRIOR;
		else
				$str_err = ERR_IN_TYPE_PRIOR;
	}

	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);		
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<script type="text/javascript">
function ViewTrbShooter(trbl_ques_id){
	window.open("<?php echo $site_path; ?>newadmin/view_trouble_shooter.php?trbl_ques_id="+trbl_ques_id,"ViewTrbShooter", "scrollbars=yes,resizable=no,statusbar=1, width=400, height=380,left=360,top=240");
}
</script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?> 
<table width="79%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
   <tbody>
                <tr>
                  <th colspan="6"><span style="margin-left:150px;"><?php echo  $page_heading;?></span></th>
                  <th colspan="4" align="right"><a href="<?php echo ADD_EDIT_PROD_TYPE_PHP."?str_params=".@base64_encode($str_params); ?>">Add New </a> &nbsp; | &nbsp; <a  href="<?php echo MNG_PROD_TYPE_PHP ;?>">Clear Search</a> </th>
                </tr>
                
                <tr>
			  	<td width="3%" align="center"></td>
                <!-- <td width="6%" align="left"><input name="s_pr_id" class="textfield" value="<?php echo $s_pr_id;?>"  size="3" type="text"></td> -->
                <td width="23%" align="left"><input name="s_pr_type"  class="textfield" value="<?php echo $s_pr_type;?>"  size="25" type="text"></td>
                <td width="12%" align="left"><input name="s_date_added" class="textfield" id="s_date_added" size="8" value="<?php echo $s_date_added;?>" type="text" />
				<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date_added",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date_added",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script></td>
                <td width="13%" align="left"><input name="s_date_modified" class="textfield" id="s_date_modified" size="8" value="<?php echo $s_date_modified;?>" type="text" />
				<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date_modified",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date_modified",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script></td>
                <td width="11%" align="left">
				 <select class="textfield" name="s_status">
						<option value="">All</option>
						<option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Active</option>
						<option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Inactive</option>
				 </select>				</td>
				<td width="17%" align="center">&nbsp;</td> 
				<td width="8%" align="center"><input name="search" value="search"   type="submit"></td>
				<td align="center">&nbsp;</td>
				<td align="center"><input type="submit" name="del_all" value="Delete"  title="Delete selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete this product type(s)')" ></td>
				</tr>
              <tr>
			  <th align="center">#</th>

             	<th align="left">
			     <?php
				   echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Product Type</a>";
    			   if($imgsort[1] == 2)
				   echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				 ?>				</th>
             	<th align="left"><?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Date Added</a>";
					 if($i_disp ==1 )
						echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 else 
					 $i_desp=0 ;
					echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "" ; 
				?></th>
             	<th align="left"><?php
				   echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Date Modified</a>";
    			   if($imgsort[1] == 3)
				   echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				 ?>   				   </th>

				     
             	 <th align="left"><?php
				   echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort4"."'>Status</a>";
    			   if($imgsort[1] == 4)
				   echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				 ?></th>
           	    <th align="center">Priority</th>    
				<th width="8%" align="center">Edit</th>     
             	<th width="6%" align="center">Delete</th>    
			    <th width="7%" align="center"><input type="checkbox" id="chk_all" name="chk_all" value="1" onClick="return check_all(this,document.frm_manage.chk);"></th>
              </tr>
			<?php 
			if(mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = mysql_fetch_assoc($res_data))
					{
						$id                	= $row["prod_type_id"];
						$prod_priority_id  	= $row["prod_priority"];
						$prod_type_name 	= stripslashes($row["prod_type_name"]);
						$date_added     	= date("Y-m-d",$row["date_added"]);
						$date_modified  	= date("Y-m-d",$row["date_modified"]);
						$i_status       	= $row['status'] ;
						$str_status     	= $i_status=="0"?"Inactive":"Active";
						$row_class     		= $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo $prod_type_name;?></td>
						<td align="left"><?php echo $date_added; ?></td>
						<td align="left"><?php echo $date_modified; ?> </td>
						<td align="left"><?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Inactive</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Active</font></a></span>';
							}
							
							echo $st_lnk;
							?></td>
						
						<td align="center"><input name="txt_priority_<?php echo $id;?>" type="text" id="txt_priority" value="<?php echo $prod_priority_id; ?>" size="4" maxlength="3" /></td>
						<td align="center"><a href="<?php echo ADD_EDIT_PROD_TYPE_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>" title="Edit"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0"></a></td>
						<td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id?>" title="Delete" onclick="return confirm('Are you sure you want to delete this product type?')"><img src="<?php echo $site_path;?>images/drop.png" width="16" height="16" border="0" bordre="0"></a></td>
						<td align="center"><input id="chk" name="chk[]" value="<?php echo $id;?>" onclick="return check_single(document.frm_manage.chk_all,document.frm_manage.chk);" type="checkbox"></td>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
				<td colspan="5" align="center">&nbsp;</td>
			  	<td align="center">
				<input name="disp_priority" id="disp_priority" value="Set Display Priority" type="submit"></td>
				<td colspan="4" align="center">&nbsp;</td>
			</tr>
			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="8" align="center" >
			  <?php	
			  	$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
				echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
			 ?>			  
			 </td>
			  </tr>
			</tbody></table>
<?php } # closing of record check
else {  ?>	
	<table width="79%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th  align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
	  </tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>